質問をすることでしか得られない、回答やアドバイスがある。

15分調べてもわからないことは、質問しよう!

ただいまの
回答率

90.37%

  • Cordova

    450questions

    Cordovaは様々なデバイスで使うことができるオープンソースなモバイル用開発プラットフォームです。開発者に各デバイスの元のプラットフォームで開発する必要をなくし、HTML・JavaScript・CSSなどの一般的なウェブのテクノロジーを使ってすべてのデバイスで展開することができるモバイルのアプリケーションを生成することを可能にします。

cordovaのビルドエラー

解決済

回答 1

投稿 編集

  • 評価
  • クリップ 0
  • VIEW 1,451

misa505

score 1

こんにちは。
現在cordovaにて、androidアプリの勉強をしています。
cordova-plugin-googlemapsを利用して地図アプリを作成中なのですが、
広告表示のためcordova-plugin-admobproを入れたところ、
以下のようなエラーが出てしまい、ビルドできなくなってしまいます。

Error: cmd: Command failed with exit code 1 Error output:

C:\Users\name\app\platforms\android\src\plugin\google\maps\PluginUtil.java:135: 
*G*[: AbstractSafeParcelable*ɃA*N*Z*X***** 
Builder builder = LatLngBounds.builder();
^
com.google.android.gms.common.internal.safeparcel.AbstractSafeParcelableN*X*E*t*@*C*****

FAILURE: Build failed with an exception.

  • What went wrong:
    Execution failed for task ':compileDebugJavaWithJavac'.

Compilation failed; see the compiler error output for details.

  • Try:
    Run with --stacktrace option to get the stack trace. Run with --info or --debug
    ```

ちなみに、エラーがでるのは、
cordova-plugin-googlemapsとcordova-plugin-admobpro
両方入れた時だけで、どちらかだけの場合は、ちゃんとビルドできます。
あと、admobのプラグインがダメなのかと思い、
nendのプラグインを入れてみたのですが、
やはり同じエラーが出てしまいビルドできませんでした。

素人な私なりに考えてみましたが、おそらく
Builder builder = LatLngBounds.builder();
これが原因なのかと思うのですが・・・
その場合はこれをどうすれば良いのでしょうか?
また他に何か原因があるのでしょうか?

分かる方がいましたら、ぜひお願いします。
初心者でも分かるようご教授くださいませm(__)m

  • 気になる質問をクリップする

    クリップした質問は、後からいつでもマイページで確認できます。

    またクリップした質問に回答があった際、通知やメールを受け取ることができます。

    クリップを取り消します

  • 良い質問の評価を上げる

    以下のような質問は評価を上げましょう

    • 質問内容が明確
    • 自分も答えを知りたい
    • 質問者以外のユーザにも役立つ

    評価が高い質問は、TOPページの「注目」タブのフィードに表示されやすくなります。

    質問の評価を上げたことを取り消します

  • 評価を下げられる数の上限に達しました

    評価を下げることができません

    • 1日5回まで評価を下げられます
    • 1日に1ユーザに対して2回まで評価を下げられます

    質問の評価を下げる

    teratailでは下記のような質問を「具体的に困っていることがない質問」、「サイトポリシーに違反する質問」と定義し、推奨していません。

    • プログラミングに関係のない質問
    • やってほしいことだけを記載した丸投げの質問
    • 問題・課題が含まれていない質問
    • 意図的に内容が抹消された質問
    • 広告と受け取られるような投稿

    評価が下がると、TOPページの「アクティブ」「注目」タブのフィードに表示されにくくなります。

    質問の評価を下げたことを取り消します

    この機能は開放されていません

    評価を下げる条件を満たしてません

    評価を下げる理由を選択してください

    詳細な説明はこちら

    上記に当てはまらず、質問内容が明確になっていない質問には「情報の追加・修正依頼」機能からコメントをしてください。

    質問の評価を下げる機能の利用条件

    この機能を利用するためには、以下の事項を行う必要があります。

回答 1

checkベストアンサー

0

再現確認まで行っておりませんので、推測ですがGoogle Play サービスAPIの要求バージョンがordova-plugin-googlemapscordova-plugin-admobproで異なることが原因です。

ordova-plugin-googlemapsではcom.google.android.gms:play-services-maps:9.8.0の様にバージョンが固定されておりますが
cordova-plugin-admobproではcom.google.android.gms:play-services-ads:+"と最新バージョンを要求しており、このくいちがいが原因でビルドエラーになります。

多くのプラグインではこの問題を避ける為にバージョンを固定せずに+にしていることが多いのですが、ordova-plugin-googlemapsはGoogle Play サービスAPIのバージョンアップによって発生しうる不具合を避ける為にバージョンを固定にしています。
どちらの指定方法を選択するかは、プラグインを開発している人の考えに依存する部分なので、お使いのプラグイン以外でも同様の問題は発生します。

プラグインを追加するとplatforms/android/project.propertiesの末尾に利用ライブラリの設定が追加されますので、そこを修正してバージョンを統一することでエラーが無くなると思います。

ただバージョンを変更するとプラグインが動作しなくなる可能性もありますので、動作確認を念入りに行う必要があります。

もう自己解決されているかもしれませんが、お役にたてれば幸いです。

投稿

  • 回答の評価を上げる

    以下のような回答は評価を上げましょう

    • 正しい回答
    • わかりやすい回答
    • ためになる回答

    評価が高い回答ほどページの上位に表示されます。

  • 回答の評価を下げる

    下記のような回答は推奨されていません。

    • 間違っている回答
    • 質問の回答になっていない投稿
    • スパムや攻撃的な表現を用いた投稿

    評価を下げる際はその理由を明確に伝え、適切な回答に修正してもらいましょう。

  • 2017/04/28 12:19

    そういうことだったのですね!
    とても勉強になりました。
    どうもありがとうございますm(__)m

    キャンセル

同じタグがついた質問を見る

  • Cordova

    450questions

    Cordovaは様々なデバイスで使うことができるオープンソースなモバイル用開発プラットフォームです。開発者に各デバイスの元のプラットフォームで開発する必要をなくし、HTML・JavaScript・CSSなどの一般的なウェブのテクノロジーを使ってすべてのデバイスで展開することができるモバイルのアプリケーションを生成することを可能にします。